Bug 1818944 - Wrong key for selecting nodes in MachineConfigPool
Summary: Wrong key for selecting nodes in MachineConfigPool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.3.z
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: David Taylor
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1813369
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-30 18:22 UTC by bpeterse
Modified: 2020-05-13 22:01 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Compute -> Machine Config Pools -> "Create Machine Config Pool". Consequence: The template used has a 'spec.machineSelector' key for selecting the nodes to match, this key is not recognize by the API. The GUI will display a Machine Selector which seem to work correctly but the MachineConfigPool doesn't match any nodes Fix: Changed key in template to "spec.nodeSelector". Result: The GUI displays a Machine Selector which now matches nodes.
Clone Of: 1813369
Environment:
Last Closed: 2020-05-13 22:01:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4963 None closed [release-4.4] Bug 1818944: Wrong key for selecting nodes in MachineConfigPool 2020-07-07 02:55:26 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 22:01:40 UTC

Comment 3 Yadan Pei 2020-04-13 06:32:41 UTC
fix is not merged in 4.4.0-0.nightly-2020-04-09-220855, will check when there is new 4.4 rc/nightly build

Comment 4 shahan 2020-04-15 03:50:28 UTC
Checked on OCP 4.4 cluster with payload 4.4.0-0.nightly-2020-04-14-222426 
1. Go to "Compute" -> "Machine Config Pools" page, click into "master" mcp, check the yaml, there is 
"  nodeSelector:
    matchLabels:
      node-role.kubernetes.io/master: ''
"
And on the detail page, the Node Selector field shows "node-role.kubernetes.io/master".
2. Create mcp with default example yaml, there is also nodeselector in the yaml template:
  nodeSelector:
    matchLabels:
      node-role.kubernetes.io/master: ''
 After create with default yaml, the "Node Selector" field shows "node-role.kubernetes.io/master", click on it, will go to search page with related nodes filtered out.
The bug is fixed, so move it to Verified.

Comment 6 errata-xmlrpc 2020-05-13 22:01:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.